#/usr/bin/python2
#encoding=utf-8  
import sys
import urllib
import urllib2
import json
import ssl
from datetime import datetime,timedelta

class Structured:
    
    def __init__(self, StructId,Category,Subject,Keypoint,MarketImpact):
            self.__StructId = StructId #结构化编号，和分类相关
            self.__Category = Category #结构化类别
            self.__Subject = Subject #文章主题，暂时仅选择一个啦
            self.__Keypoint = Keypoint#内容关键点
            self.__MarketImpact = MarketImpact  #市场影响
            
    @property
    def StructId(self):
        return self.__StructId 

    @StructId.setter
    def StructId(self,StructId):
        self.__StructId = str(StructId)


    @property
    def Category(self):
        return self.__Category 


    
    @Category.setter
    def Category(self,Category):
        self.__Category = str(Category)


    @property
    def Subject(self):
        return self.__Subject 

      

    @Subject.setter
    def Subject(self,Subject):
        self.__Subject = str(Subject)


    @property
    def Keypoint(self):
        return self.__Keypoint 


    @Keypoint.setter
    def Keypoint(self,Keypoint):
        self.__Keypoint = str(Keypoint)

    @property
    def MarketImpact(self):
        return self.__MarketImpact 

    @MarketImpact.setter
    def MarketImpact(self,MarketImpact):
        self.__MarketImpact = str(MarketImpact)